#ifndef WXMYGRID_H
#define WXMYGRID_H

#include <wx/wx.h>
#include <wx/grid.h>
#include <vector>

// From http://wiki.wxwidgets.org/WxGrid
class wxMyGrid : public wxGrid
{
public:
    wxMyGrid(wxWindow* parent, int id, int* clicks, int size);

    void OnCellLeftClick(wxGridEvent& ev);

private:
    std::vector<int> _clicks;

    DECLARE_EVENT_TABLE();
};

#endif
